FSCK(1)

NAME
fsck, fsck1 - perform file system consistency check

SYNOPSIS
fsck [-aclmrs] [device] ...

OPTIONS

EXAMPLES

DESCRIPTION

Fsck performs consistency checks on the file systems which reside on the specified devices. Fsck1 is an alternate version for use on obsolete V1 file systems. When either the -a or -r flags are given, the file system will be repaired if errors are found. Before running fsck on a mounted file system, it must first be unmounted. Trying to repair a mounted file system is dangerous and should not be attempted.

To repair the root file system (which cannot be unmounted), first type CTRL-F9 at the console to kill any and all processes. Log back in as root, type sync to force any buffered changes to disk, run fsck on the root file system and immediately reboot the computer by typing reboot.

It is necessary to kill all processes before repairing the root file system to prevent them from modifying any disk blocks while fsck is running. This is only necessary for the root file system, any other file system can simply be unmounted before it is checked.

SEE ALSO
mkfs(1), mount(1).